Subject: [PATCH v3 4/4] drivers: psci: replace psci firmware calls

From: [email-masked] (Jens Wiklander)
Date: Thu, 17 Dec 2015 08:07:59 +0100

On Wed, Dec 16, 2015 at 01:47:40PM +0000, Lorenzo Pieralisi wrote:
> On Wed, Dec 16, 2015 at 01:55:11PM +0100, Jens Wiklander wrote:
> > On Wed, Dec 16, 2015 at 10:55:29AM +0000, Lorenzo Pieralisi wrote:
> > > [CC'ed Daniel]
> > > 
> > > On Tue, Dec 01, 2015 at 08:44:22PM +0100, Jens Wiklander wrote:
> > > 
> > > [...]
> > > 
> > > > > What's the plan for merging this? I assume this'll go via arm-soc?
> > > > 
> > > > I talked to Arnd about this and he suggested to go via Russel.
> > > 
> > > Heads-up, this patch will conflict with:
> > > 
> > > https://patchwork.kernel.org/patch/7418351/
> > > 
> > > that goes via linux-pm tree, please let me and Daniel know how
> > > you want us to sort this out.
> > 
> > I guess this arm-smccc patchset need to go together with that patch in
> > some way. I've just uploaded my patches in Russels patch system, but I
> > can stop that and try to go via the linux-pm tree instead if you think
> > the maintainer would accept that. I'll need to ask Russel if he can ack
> > the patches "arm/arm64: add arm-smccc" and
> > "arm: add implementation for arm-smccc" first though.
> > 
> > Would that work or do you have another idea? I'm of course happy either
> > way as long as the patches get through. I'm new to this so any advice is
> > appreciated.
> 
> It is really up to Daniel and Russell. If Daniel acks:
> 
> https://patchwork.kernel.org/patch/7418351/
> 
> I can easily rebase it and send it to RMK patch system (as things stand
> it seems the easier option), otherwise the merge conflict (which will show
> up in -next anyway) has to be sorted out, I am open to suggestions.

What you're suggesting sounds good to me.

Thanks,
Jens